/*
* @description: 供应商不良记录-公共字典
  @Modifier: qrf
  @routerPath:
  @date: 2020/11/04-15:48
  * */
export const supplierBadGroupMixin = {
  data() {
    return {
      dictionaryType: ['badStatus'], // 字典类型
      badStatusList: [] // 状态
    }
  },
  created() {
    this.queryEvaluationDictionary()
  },
  methods: {
    // 获取字典信息
    queryEvaluationDictionary() {
      this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
        // 遍历key存储相应的数据
        for (const key in data.bidTypeData) {
          /* 是否有数据*/
          if (data.bidTypeData[key]) {
            this[key] = data.bidTypeData[key]
          }
        }
      })
    }
  }
}
